org.apache.ignite.internal.util.typedef

## Class PX1<E1>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.IgnitePredicateX<E1>
  - - org.apache.ignite.internal.util.typedef.PX1<E1>

Type Parameters:
  `E1` - Type of the free variable, i.e. the element the predicate is called on.

All Implemented Interfaces:
  Serializable, IgnitePredicate<E1>

    public abstract class PX1<E1>
    extends IgnitePredicateX<E1>

Defines `alias` for `IgnitePredicateX` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `IgnitePredicateX`.

See Also:
  `GridFunc`, `IgnitePredicateX`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PX1()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.lang.IgnitePredicateX

`apply, applyx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PX1

    public PX1()

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018